# First, high-level tasks. Then, manufacturer-level tasks

Summary: Task package for printing and scanning
Name: task-printing-scanning
Version: 2016
Release: %mkrel 2
License: GPL
Group: System/Printing
Url: http://www.pclinuxos.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: task-printing
Requires: hplip-gui
Requires: libsane-hpaio
Requires: samba-client
Requires: sane-backends
Requires: saned
Requires: scanner-gui
Requires: usbutils
Requires: xinetd
Requires: xsane

%description
This task package contains the full selection of printing and
scanning packages used in PCLinuxOS.

%files


%package -n task-printing
Group: System/Printing
Summary: Task package for printing
Requires: imagemagick
Requires: a2ps
Requires: cups
#Requires: cups-drivers
Requires: cups-common
Requires: foomatic-db
Requires: foomatic-db-engine
Requires: foomatic-filters
Requires: ghostscript
Requires: groff
Requires: gutenprint-cups
Requires: gutenprint-escputil
Requires: gutenprint-foomatic
Requires: gutenprint-gimp2
Requires: gutenprint-ijs
Requires: lesstif
Requires: mpage
Requires: netcat-traditional
Requires: net-tools
Requires: nmap
Requires: postscript-ppds
#Requires: printer-filters
Requires: printer-testpages
#Requires: printer-utils
Requires: scli
Requires: task-printing-canon
Requires: task-printing-epson
Requires: task-printing-hp
Requires: task-printing-lexmark
Requires: task-printing-misc
Requires: task-printing-okidata
Requires: task-printing-server
Requires: system-config-printer
Requires: system-config-printer-libs 
Requires: system-config-printer-udev
#---------------------------------------
Obsoletes: cups-drivers
Obsoletes: printer-filters
Obsoletes: printer-filters-doc
Obsoletes: printer-utils
#--------------------------------------

%description -n task-printing
This task package contains the default selection of printing packages
used in PCLinuxOS.

%files -n task-printing

#-------------------------------------------------------------------------------

%package -n task-printing-server
Summary: Meta package for a full CUPS server
Group: System/Printing
Requires: cups	
Requires: ghostscript
Requires: printer-tools
Requires: foomatic-db
Requires: foomatic-db-engine
Requires: foomatic-filters

%description -n task-printing-server
This meta package will install every package needed for a full
CUPS server, including some utilities.

%files -n task-printing-server

################################################################################
############### Manufacturer specific tasks sits bellow this ###################
################################################################################

%package -n task-printing-canon
Summary: Meta package for Cannon printer drivers
Group: System/Printing
Requires: task-printing-server

# The drivers
Requires: cjet
Requires: ghostscript
Requires: gutenprint-cups
Requires: gutenprint-foomatic	
Requires: gutenprint-ijs
#Requires: hplip-hpijs

%description -n task-printing-canon
This meta package will install printer drivers a lot but not all Cannon
printers. You still need to install task-printing.


%files -n task-printing-canon

#-------------------------------------------------------------------------------

%package -n task-printing-epson
Summary: Meta package for printer drivers for Epson
Group: System/Printing
Requires: task-printing-server

# The drivers
Requires: ghostscript
Requires: gutenprint-cups
Requires: gutenprint-foomatic
Requires: gutenprint-ijs
#Requires: hplip-hpijs

# Some utils
Requires: gutenprint-escputil
Requires: printer-tools

%description -n task-printing-epson
This meta package will install every printer driver available for printers from
Epson. You still need to install task-printing.



%files -n task-printing-epson

#-------------------------------------------------------------------------------

%package -n task-printing-hp
Summary: Meta package for printer drivers for HP
Group: System/Printing
Requires: task-printing-server

# The drivers
Requires: ghostscript
Requires: gutenprint-cups
Requires: gutenprint-foomatic
Requires: gutenprint-ijs
Requires: cups-drivers-foo2zjs
Requires: pnm2ppa
Requires: libsane-hpaio 
Requires: hplip 
Requires: hplip-common 
Requires: hplip-gui 
#Requires: hplip-hpijs 
Requires: hplip-libs

%description -n task-printing-hp
This meta package will install every printer driver available for printers from
HP. You still need to install task-printing.



%files -n task-printing-hp

#-------------------------------------------------------------------------------

%package -n task-printing-lexmark
Summary: Meta package for printer drivers for Lexmark
Group: System/Printing
Requires: task-printing-server

# The drivers
Requires: c2050
Requires: c2070
Requires: drv_z42
Requires: ghostscript
Requires: gutenprint-cups
Requires: gutenprint-foomatic
Requires: gutenprint-ijs
#Requires: hplip-hpijs
Requires: lexmark2070
Requires: lexmark7000linux
Requires: cups-drivers-lxx74
Requires: lm1100
Requires: cups-drivers-lz11
Requires: pbm2l2030

# Some lex utils
Requires: printer-tools
Requires: z42tool
Requires: lxcontrol

%description -n task-printing-lexmark
This meta package will install every printer driver available for printers from
Lexmark. You still need to install task-printing.


%files -n task-printing-lexmark

#-------------------------------------------------------------------------------

%package -n task-printing-misc
Summary: Meta package for printer drivers for miscelaneous printers
Group: System/Printing
Requires: task-printing-server

# The drivers
Requires: drv_z42
Requires: cups-drivers-foo2zjs
Requires: ghostscript
#Requires: hplip-hpijs
Requires: stylewriter
Requires: ml85p
Requires: pbm2lwxl
Requires: pentaxpj
Requires: ppmtomd

%description -n task-printing-misc
This meta package will install every printer driver available for printers from
miscelaneous manufacturers.

This package should cover printers from:
Alps, Anitech, Apollo, Apple, Avery, Brother, Citizen, Citoh, Compaq, Dec,
Dell, Dymo, Fujitsu, IBM, Imagen, Infotec, Kodak, Kyocera, Minolta, Mitsubishi,
Nec, Oce, Olivetti, Panasonic, Pcpi, Pentax, QMS, Ricoh, Samsung, Star,
Tektronix and Xerox.

%files -n task-printing-misc

#-------------------------------------------------------------------------------

%package -n task-printing-okidata
Summary: Meta package for printer drivers for Okidata
Group: System/Printing
Requires: task-printing-server

# The drivers
Requires: ghostscript
#Requires: hplip-hpijs
Requires: oki4linux
Requires: ppmtomd

%description -n task-printing-okidata
This meta package will install every printer driver available for printers from
Okidata. You still need to install task-printing.



%files -n task-printing-okidata

#-------------------------------------------------------------------------------

%posttrans -n task-printing
service cups restart > /dev/null 2>&1 


%changelog
* Tue Oct 18 2016 adrianomorselli <adrianomorselli> 2016-1uplos2016
- rebuild

* Sun Apr 17 2016 bb <bb> 2016-1pclos2016
- removed dead dependencies and obsoltes
- empty packages

* Mon May 25 2015 bb <bb> 2015-1pclos2015
- scoundrel you are an assclown

* Mon Jul 01 2013 Texstar <texstar at gmail.com> 2013-2pclos2013
- start the cups server after installation

* Thu Jan 03 2013 Neal <nealbrks0 at gmail dot com> 2013-1pclos2013
- rebuild

* Fri Apr 22 2011 Texstar <texstar at gmail.com> 2011-1pclos2011
- update for new packages

